import { Component, OnInit } from '@angular/core';
import { AnimeService} from '../shared/services/anime.service'

@Component({
  selector: 'app-animelist',
  templateUrl: './animelist.component.html',
  styleUrls: ['./animelist.component.css']
})
export class AnimelistComponent implements OnInit {

  animes: any[] = [];

  constructor(private animeService: AnimeService) { }

  ngOnInit(): void {
    this.animeService.getAll().subscribe( (resp: any) => {
      this.animes = resp;
    });
  }

}
